function Filt_signal = Butt_highpass(Fs,f_corte,signal)
% Butterworth high-pass filter 
%
% @file  Butt_highpass.m
%
%
%  This function applies a Butterworth high-pass filter
%
%  Fsignal = butt_highpass(Fs,f_corte,signal)
%  
%  INPUTS:
%
%   Fs:                  Sampling Frequency    
%
%   f_corte:             Cutoff frequency
%
%   signal:              Data to be filtered
%
%  OUTPUTS:
%
%  Filt_signal:          Filtered data  
%
%
% Beatriz Jacinto Barros (beatriz.j.barros@inesctec.pt)
% BRAIN, INESC-TEC Porto, October 2022
% 
% 

%% Butterworth high-pass filter to filter each acquired backscatter signal 

[b,a] = butter(2,f_corte/(Fs/2),'high');
Filt_signal = filter(b,a,signal);

end