## BioPhotonics Signal Analysis - Phase

Optical Fiber Tweezers (OFT) can be used to study manifestations of light-matter interactions and deduce properties of micron-sized bioparticles trapped within its laser  beam center. For this purpose, an innovative approach was previously co-invented on our group named iLoF - intelligent Lab on Fiber, based on optical signal processing obtained from an OFT system  with very relevant results. In this project, the phase component of the biophotonic signals acquired is studied for particle type discrimination.

**Methodology:** Statistical analysis of 8 phase spectrum-derived features and phase portion of the corresponding first 40 Phase-Transform coefficients obtained from back-scattering signals. 

## Repository files

This repository contains the main 5 independent functions used in the biophotonic signal processing pipeline applied:
 - **Filter**: Butterworth high-pass filter 
 - **Pre-Processing**:  Pre-processing of data (Z-score transformation, Epoching and Noisy segments rejection)
 - **Discrete Fourier Transform**:  DFT computation via FFT algorithm: DFT computation of an the input vector, magnitude and phase of the transformed data and plot of the corresponding magnitude and phase spectrum  
 - **Hilbert Transform**:  Hilbert transform computation and calculation of instantaneous parameters: Amplitude, Phase and Frequency  
 - **Hilbert Phase Slope**:  Hilbert Phase calculation: Hilbert Unwrapped phase and Hilbert Unwrapped Phase Slope  

All the above functions are used for phase-based feature extraction, computed in the **Featureextraction** file. 

Each code script begins with a complete description of each function input and output parameters and processing steps applied.  





## Authors 
 - Beatriz Jacinto Barros (beatriz.j.barros@inesctec.pt)
 - João Paulo Cunha (jcunha@ieee.org)

Biomedical Research And INnovation (BRAIN) Group 
https://brain.inesctec.pt/

INESC TEC - Institute for Systems and Computer Engineering, Technology and Science, Porto, Portugal




## Relevant scientific publications
 - Barros, Beatriz Jacinto, and João Paulo Silva Cunha. "Micron-Sized Bioparticles Detection through Phase Analysis of Back-Scattering Signals from Optical Fiber Tweezers: An Exploratory Study." 2022 IEEE 21st Mediterranean Electrotechnical Conference (MELECON). IEEE, 2022.
 - Paiva, Joana S., et al. "i LoF: An intelligent Lab on Fiber Approach for Human Cancer Single-Cell Type Identification." Scientific reports 10.1 (2020): 3171.
